Subject: gzip build fails on s390x because (version 1.13)
From: Sarah-Julia Kriesch <[email-masked]>
To: [email-masked]
Date: Mon, 23 Oct 2023 18:51:33 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

we are using gzip 1.13 for builds on openSUSE Tumbleweed.
It is failing for the hardware architecture s390x with the following error message:
[  246s] gcc -DHAVE_CONFIG_H -I. -I./lib  -I./lib    -O2 -Wall -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=3 -fstack-protector-strong -funwind-tables -fasynchronous-unwind-tables -fstack-clash-protection -Werror=return-type -flto=auto -g -fomit-frame-pointer -W -Wall -Wno-unused-parameter -Wstrict-prototypes -Wpointer-arith -fPIE -DDFLTCC_LEVEL_MASK=0x7e -fprofile-generate -c -o dfltcc.o dfltcc.c
[  246s] dfltcc.c:86:17: error: expected declaration specifiers or '...' before numeric constant
[  246s]    86 |   char alignas (8) aligned;
[  246s]       |                 ^
[  246s] dfltcc.c:87:1: warning: no semicolon at end of struct or union
[  246s]    87 | };
[  246s]       | ^
[  246s] dfltcc.c:138:17: error: expected declaration specifiers or '...' before numeric constant
[  246s]   138 |   char alignas (8) aligned;
[  246s]       |                 ^
[  246s] dfltcc.c:139:1: warning: no semicolon at end of struct or union
[  246s]   139 | };
[  246s]       | ^
[  246s] make[2]: *** [Makefile:1945: dfltcc.o] Error 1